/**
 * Создать объект danItStudent, у которого будут такие свойства: 
 * - имя, фамилия, количество сданных домашних работ
 * 
 * Вывести объект в консоль. После чего спросить у пользователя "Какое свойство вы хотите изменить?", и если у объекта такого свойства нет - переспрашивать с сообщением "имяСвойства * у объекта нет. Напишите, пожалуйста, правильное свойство объекта" пока пользователь не введет имя существующего свойства объекта или не нажмет Cancel. 
 * Если пользователь не нажал Cancel, спросить "Какое значение вы хотите присвоить этому свойству?". 
 * Изменить требуемое свойство и вывести объект в консоль.
 * 
 */

const danItStudent = {
	name: 'Viktor',
	age: 33,
	homeworks: 47
}

console.log(danItStudent);

let userProp = prompt('Какое свойство вы хотите изменить?');
let userValue;

while (!danItStudent.hasOwnProperty(userProp) && userProp) {

	userProp = prompt(`Свойства ${userProp} у объекта нет. Напишите, пожалуйста, правильное свойство объекта`);

}

if (userProp !== null) {

	userValue = prompt('Какое значение вы хотите присвоить этому свойству?');
	danItStudent[userProp] = userValue;

}

console.log(danItStudent);